Запомняне

» Здравейте
[ Вход :: Регистриране ]
 » Начало » Li Форуми » Help & Support » Общи Проблеми и Въпроси » Грешка след dist-upgrade
Тема: Грешка след dist-upgrade
Мнение #1 Skip to the next post in this topic.
Написано на: Юли 19 2010, 16:03

No avatar chosen




Група: Li fans
Мнения: 5
Регистриран: Юли 2010

Оценка: няма

Offline
Здравейте,реших да си upgrade-на debian-на до testing и  така след dist-upgrade ми изкочи следната грешка:
Errors were encountered while processing var/cache/apt/archves/libaakonadi-kcal4-4%3a4.4.4-1_amd64.deb
Sub-process /usr/sbin/dpkg returned an error code (1).
След като се опитах да го подкарам повреме на зареждането ми изплю друга грешка:Starting Common Unix Printing System:cupsd/usr/sbin/cupsd
symbol looknn error:usr/sbin/cupsd undefined symbol _httpReadGNUYLS
Отскоро ползвам линукс и се надявам ,че някои може да ме опъти на какво се дължи грешката и как да е оправя!
Контакти:  nfc

  • AOL  AOL:
  • ICQ  ICQ:
  • MSN  MSN:
  • YIM  Yahoo IM:
WEB  
Мнение #2 Skip to the next post in this topic.
Skip to the previous post in this topic. Написано на: Юли 19 2010, 16:30

Avatar




Група: Li fans
Мнения: 621
Регистриран: Декември 2006

Оценка: 5

Offline
Зарежда ли въобще системата и смени ли хранилищата в sources.list с debian squeeze
Контакти:  devik
WEB  
Мнение #3 Skip to the next post in this topic.
Skip to the previous post in this topic. Написано на: Юли 19 2010, 17:16

No avatar chosen




Група: Li fans
Мнения: 5
Регистриран: Юли 2010

Оценка: няма

Offline
Системата зарежда но не се стартира графичната среда а ми дава да се логна в текстов режим ,а за sources.list да добавих съответните testing хранилища.Сега се сещам ,че докато upgrade-вах ми излезна нещо за енкодинга.Възможноли е свързано с втората грешка?
Контакти:  nfc

  • AOL  AOL:
  • ICQ  ICQ:
  • MSN  MSN:
  • YIM  Yahoo IM:
WEB  
Мнение #4 Skip to the next post in this topic.
Skip to the previous post in this topic. Написано на: Юли 19 2010, 18:55

Avatar




Група: Li fans
Мнения: 621
Регистриран: Декември 2006

Оценка: 5

Offline
Първата грешка я дава akonadi - пробвай с apt-get update и apt-get upgrade вероятно някаква зависимост на пакетите бърка работата.За локалите инсталирай localepurge ще те пита кой е локала по подразбиране и ще махне останалите.Ако даде грешка още при ъпгрейда пробвай с apt-get -f install
би трябвало да качи всички пакето които имат зависимист

ПП Между другото при мен също се счупи КДЕ при ъпгрейд и трябваше да го инсталирам отново след което тръгна

Редактирано от devik на Юли 19 2010, 18:57
Контакти:  devik
WEB  
Мнение #5 Skip to the next post in this topic.
Skip to the previous post in this topic. Написано на: Юли 19 2010, 22:45

No avatar chosen




Група: Li fans
Мнения: 5
Регистриран: Юли 2010

Оценка: няма

Offline
Посъветвахаме да изпълния следното
aptitude clean
aptitude update
aptitude install apt aptitude

aptitude safe-upgrade
aptitude dist-upgrade
----------
apt-get dist-upgrade -f --ignore-hold
-----------
след като го направих ми връща следното :
Since release 150,udev reqaires  that suport for CONFIG_SYSFS_DEPRECATED feature is disabled in the running kernel.
Please upgrade your kernel before or while upgradin udev.
AT YOUR OWN RISK YOU CAN FORCE the installation of this version of udev
WHICH DOES NOT WORK WITH YOUR RINING KERNEL AND WILL BREAK YOUR SYSTEM AT THE NEXt REBOOT by creating the /etc/udev/kernel-upgrade file
There is always a safer way to upgrade do not try this unless you understand what you are doing!

dpkg:error processing /var/cache/apt/archives/udev_158-1_amd64.deb(--unpack)
subprocess pre-instalation ****** returned error exit status 1
Errors ware encountered while processing :/var/cache/apt/archives/udev_158-1_amd64.deb
E:Sub-process /usr/bin/dpkg returned an error code (1)

имали шанс ако си обновя ядрото да се оправят нещата и ,ако може малко помощ за оновяването!
Благодаря предварително!
Контакти:  nfc

  • AOL  AOL:
  • ICQ  ICQ:
  • MSN  MSN:
  • YIM  Yahoo IM:
WEB  
Мнение #6 Skip to the next post in this topic.
Skip to the previous post in this topic. Написано на: Юли 20 2010, 08:45

Avatar




Група: Li fans
Мнения: 621
Регистриран: Декември 2006

Оценка: 5

Offline
uname -a и виж с кое ядро си
apt-cache search linux-image - ще ти извади списък с ядрата.Избираш си най-новото и
apt-get install linux-image-2.6.xxxxx
reboot
и да видим какво става
Контакти:  devik
WEB  
Мнение #7 Skip to the next post in this topic.
Skip to the previous post in this topic. Написано на: Юли 20 2010, 18:58

No avatar chosen




Група: Li fans
Мнения: 5
Регистриран: Юли 2010

Оценка: няма

Offline
Zdraveite purvo iskam da se izvinq za shliokavicata!
Sled dulga borba da opravq polojenieto koeto dosta bqh omazal nai-nakraq se predadoh i preinstalirah nanovo Debian!
Sega sum sus stable  Debian ,no iskam da premina kum testing ,nqkoi mojeli da me naso4i kak da go napravq kato horata ta tozi put da ne se polu4avat izdunki kato predi6ni put!
Pri4inata poradi koqto pi6a na shliokavica e 4e pri opit da nastroq xor.conf mi dade slednata  gre6ka rror activating XKB configuration.
It can happen under various circumstances:
- a bug in libxklavier library
- a bug in X server (xkbcomp, xmodmap utilities)
- X server with incompatible libxkbfile implementation

X server version data:
The X.Org Foundation
10402000

If you report this situation as a bug, please include:
- The result of xprop -root | grep XKB
- The result of gconftool-2 -R /desktop/gnome/peripherals/keyboard/kbd
Blagodarq predvaritelno!
Контакти:  nfc

  • AOL  AOL:
  • ICQ  ICQ:
  • MSN  MSN:
  • YIM  Yahoo IM:
WEB  
Мнение #8 Skip to the next post in this topic.
Skip to the previous post in this topic. Написано на: Юли 21 2010, 10:20

Avatar




Група: Li fans
Мнения: 621
Регистриран: Декември 2006

Оценка: 5

Offline
1.Защо просто не инсталираш тестовата версия ами се занимаваш с ъпгрейди
2.Няма нужда да пипаш xorg-a, а ако си решил да експериментираш направи си първо бекъп на файла
Контакти:  devik
WEB  
Мнение #9 Skip to the next post in this topic.
Skip to the previous post in this topic. Написано на: Юли 22 2010, 11:28

No avatar chosen




Група: Li fans
Мнения: 5
Регистриран: Юли 2010

Оценка: няма

Offline
Благодаря на всички за отделеното време и дадените съвети!
Реших като за начало да пробвам с нещо по user friendly и си инсталирах Ubuntu 10.4.
Контакти:  nfc

  • AOL  AOL:
  • ICQ  ICQ:
  • MSN  MSN:
  • YIM  Yahoo IM:
WEB  
Мнение #10
Skip to the previous post in this topic. Написано на: Юли 25 2010, 09:37

No avatar chosen




Група: Li fans
Мнения: 42
Регистриран: Април 2010

Оценка: няма

Offline
Защо изобщо се занимаваш с тази дърта баба дебиан.. Като искаш нещо свежо се прицели към други дистрибуции (Мандрива Сусе Убунту Сидукс Сабайон и подобни)
Контакти:  ROKO__

  • AOL  AOL:
  • ICQ  ICQ:
  • MSN  MSN:
  • YIM  Yahoo IM:
WEB  
Общо 10 отговор(а) от Юли 19 2010, 16:03 до сега
 » Начало » Li Форуми » Help & Support » Общи Проблеми и Въпроси » Грешка след dist-upgrade

© 2014 Linux Index Project
Powered by iF 1.0.0 © 2006 ikonForums